# Draw
TKDraw
Draw

# Draw_Printer Class Reference

Implementation of Printer class with output directed to Draw_Interpretor
.

`#include <Draw_Printer.hxx>`

## Public Member Functions

Standard_EXPORT | Draw_Printer (const Draw_Interpretor &theTcl)
| Creates a printer connected to the interpretor. .
virtual Standard_EXPORT void | Send (const TCollection_ExtendedString &theString, const Message_Gravity theGravity, const Standard_Boolean putEndl) const
| Send a string message with specified trace level. The parameter putEndl specified whether end-of-line should be added to the end of the message. This method must be redefined in descentant. .
virtual Standard_EXPORT void | Send (const Standard_CString theString, const Message_Gravity theGravity, const Standard_Boolean putEndl) const
| Send a string message with specified trace level. The parameter putEndl specified whether end-of-line should be added to the end of the message. Default implementation calls first method Send(). .
virtual Standard_EXPORT void | Send (const TCollection_AsciiString &theString, const Message_Gravity theGravity, const Standard_Boolean putEndl) const
| Send a string message with specified trace level. The parameter putEndl specified whether end-of-line should be added to the end of the message. Default implementation calls first method Send(). .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Address | myTcl

## Constructor & Destructor Documentation

Standard_EXPORT Draw_Printer::Draw_Printer | ( | const Draw_Interpretor & | theTcl | ) |

## Member Function Documentation

Standard_EXPORT const Draw_Printer::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void Draw_Printer::Send | ( | const TCollection_AsciiString & | theString,
|  | const Message_Gravity | theGravity,
|  | const Standard_Boolean | putEndl
| ) | const`[virtual]`

virtual Standard_EXPORT void Draw_Printer::Send | ( | const Standard_CString | theString,
|  | const Message_Gravity | theGravity,
|  | const Standard_Boolean | putEndl
| ) | const`[virtual]`

virtual Standard_EXPORT void Draw_Printer::Send | ( | const TCollection_ExtendedString & | theString,
|  | const Message_Gravity | theGravity,
|  | const Standard_Boolean | putEndl
| ) | const`[virtual]`

## Field Documentation

Standard_Address Draw_Printer::myTcl `[private]`

The documentation for this class was generated from the following file:

- Draw_Printer.hxx